cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Grzegorz Kossakowski <gkossakow...@apache.org>
Subject Re: svn commit: r518067 - in /cocoon/trunk/core/cocoon-servlet-service/cocoon-servlet-service-impl/src/main/java/org/apache/cocoon/servletservice/util: BlockCallHttpServletRequest.java BlockCallHttpServletResponse.java
Date Wed, 14 Mar 2007 13:08:22 GMT
Reinhard Poetz napisaƂ(a):
>
> The IllegalArgumentException doesn't have a constructure that you can
> pass a Throwable:
>
> http://java.sun.com/j2se/1.4.2/docs/api/java/lang/IllegalArgumentException.html#IllegalArgumentException(java.lang.String)
>
>
> I guess it was added in Java 5 or 6. The best option to detect these
> kind of problems is using JDK 1.4 in your IDE.
>
Ah, thank for spotting this.
I'm not sure if I can use JDK 1.4 in my opensuse 10.2 easily while 1.6
is installed but I promise to be more careful in the future and find
some way of catching this kind of problems.

-- 
Grzegorz Kossakowski

Mime
View raw message